<?php
namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00004005ParamFaturaItemContratoFactory {
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    /**
     * A função "validaServicoRelacionado" verifica se o serviço 
     * que está sendo relacionado já existe está relacionadoao serviço.
     */
    public function atualizarDadosItContrato($params){
        $sql = "UPDATE FCT_ITEMCONTRATO
                   SET IDFATURACONTR         = :IDFATURACONTR,
                       CDMODPGTO             = :CDMODPGTO,
                       QTPARCELASFATU        = :QTPARCELASFATU,
                       NRDIAVENCPARCELASFATU = :NRDIAVENCPARCELASFATU
                 WHERE NRSEQCONTRATO   = :NRSEQCONTRATO
                   AND NRITEMOCONTRATO = :NRITEMOCONTRATO
                   AND NRORG           = :NRORG";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
}

?>